class Player extends Base {

  Ghost pulling;
  float speed = 0.4;
  float zone = 100;

  Player() {
    super();
  } 

  void go() {
    if (checkKey("A")) {
      mov.x -= speed;
    } 
    if (checkKey("D")) {
      mov.x += speed;
    } 
    if (checkKey("W")) {
      mov.y -= speed;
    } 
    if (checkKey("S")) {
      mov.y += speed;
    } 
    
    if(pos.y < bars){
      mov.y += 0.7;
     } 

     if(pos.y > height-bars){
      mov.y -= 0.7;
     } 

    pos.add(mov);

    pos.x = (pos.x+width)%width;
    pos.y = (pos.y+height)%height;

    if (pulling == null && checkKey("K")) {
      for (int i=0;i<ghosts.size();i++) {
        Ghost friend = (Ghost) ghosts.get(i);
        if (friend.touch(this, zone)) {
          pulling = friend;
          pulling.pulled = true;
          break;
        }
      }
    } 
    else if (pulling != null) {
      buzz.trigger();
      stroke(random(255));
      line(this.pos.x, this.pos.y, pulling.pos.x, pulling.pos.y);
      float towards = towards(pulling.pos, this.pos);

      pulling.mov.add(new PVector(cos(towards)*0.4, sin(towards)*0.4) );
      if (!checkKey("K")) {
        pulling.pulled = false;
        pulling = null;
      }
    }

    print(frameRate+"   \n");
    mov.limit(7);
  }

  void display() {
    noStroke();
    fill(0,50,30,50);
    ellipse(pos.x,pos.y,zone*2,zone*2);
    image(runner, pos.x-runner.width/2.0, pos.y-runner.height/2.0);
  }
}

